import { createRouter, createWebHistory, RouteRecordRaw } from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "Login",
    component: () =>
      import(
        /* webpackChunkName: "about" */ "../views/features/Login/Login.vue"
      ),
  },
  {
    path: "/home",
    name: "Home",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/features/Home/Home.vue"),
  },
  {
    path: "/exam-list",
    name: "ExamList",
    component: () =>
      import(
        /* webpackChunkName: "about" */ "../views/features/ExamList/ExamList.vue"
      ),
  },
  {
    path: "/image",
    name: "Image",
    component: () =>
      import(
        /* webpackChunkName: "about" */ "../views/features/Image/Image.vue"
      ),
  },
  {
    path: "/image-download",
    name: "ImageDownload",
    component: () =>
      import(
        /* webpackChunkName: "about" */ "../views/features/ImageDownload/ImageDownload.vue"
      ),
  },
  {
    path: "/sync",
    name: "Sync",
    component: () =>
      import(/* webpackChunkName: "about" */ "../views/features/Sync/Sync.vue"),
  },
  {
    path: "/sync-run",
    name: "SyncRun",
    component: () =>
      import(
        /* webpackChunkName: "about" */ "../views/features/SyncRun/SyncRun.vue"
      ),
  },
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
